clear
set mem 50m
use switzrep.dta

/* Table 1 regressions */
reg abortpct cathpct athpct germpct frenpct italpct youngpct oldpct lnpopdns educatt lnincome unemp leftness borderbez, r                              /* Column A */
reg abortpct canton1-canton26 cathpct athpct germpct frenpct italpct youngpct oldpct lnpopdns educatt lnincome unemp leftness borderbez, r noconst     /* Column B */
reg abortpct cathpct athpct germpct frenpct italpct youngpct oldpct lnpopdns educatt lnincome unemp leftness grenzdum, r                               /* Column C */
reg abortpct canton1-canton26 cathpct athpct germpct frenpct italpct youngpct oldpct lnpopdns educatt lnincome unemp leftness grenzdum, r noconst      /* Column D */
reg abortpct cathpct athpct germpct frenpct italpct youngpct oldpct lnpopdns educatt lnincome unemp leftness lndist, r                                 /* Column E */

/* Regression mentioned in Table 1 discussion */
reg abortpct canton1-canton26 cathpct athpct germpct frenpct italpct youngpct oldpct lnpopdns educatt lnincome unemp grenzdum, r noconst               /* Column D, without left-support variable */

/* Table 2 regressions */
reg retirepct germpct frenpct italpct youngpct oldpct educatt lnincome unemp leftness borderbez, r                                                     /* Column A */
reg retirepct canton1-canton26 germpct frenpct italpct youngpct oldpct educatt lnincome unemp leftness borderbez, r noconst                            /* Column B */
reg retirepct germpct frenpct italpct youngpct oldpct educatt lnincome unemp leftness grenzdum, r                                                      /* Column C */
reg retirepct canton1-canton26 germpct frenpct italpct youngpct oldpct educatt lnincome unemp leftness grenzdum, r noconst                             /* Column D */
reg retirepct germpct frenpct italpct youngpct oldpct educatt lnincome unemp leftness lndist, r                                                        /* Column E */

/* Table 4 regressions */
reg taxpct germpct frenpct italpct youngpct oldpct lnpopdns lnincome unemp leftness paketpct borderbez, r                                              /* Column A */
reg taxpct canton1-canton26 germpct frenpct italpct youngpct oldpct lnpopdns lnincome unemp leftness paketpct borderbez, r noconst                     /* Column B */
reg taxpct germpct frenpct italpct youngpct oldpct lnpopdns lnincome unemp leftness paketpct grenzdum, r                                               /* Column C */
reg taxpct canton1-canton26 germpct frenpct italpct youngpct oldpct lnpopdns lnincome unemp leftness paketpct grenzdum, r noconst                      /* Column D */
reg taxpct germpct frenpct italpct youngpct oldpct lnpopdns lnincome unemp leftness paketpct lndist, r                                                 /* Column E */

/* Regression mentioned in Table 4 discussion */
reg taxpct canton1-canton26 germpct frenpct italpct youngpct oldpct lnpopdns lnincome unemp taxleft paketpct grenzdum, r noconst                       /* Column D, with respecified measure of left-leaning voters */

/* Table 5 regressions */
use washrep.dta, clear

reg favorsales lnpop lnpcinc dempct04 favorpropcap bordrdum bordrfor, r                                                                                /* Column A */
reg favorsales lnpop lnpcinc dempct04 favorfeecut bordrdum bordrfor, r                                                                                 /* Column B */
reg favorsales lnpop lnpcinc dempct04 favorpropcap nearbord bordrfor, r                                                                                /* Column C */
reg favorsales lnpop lnpcinc dempct04 favorfeecut nearbord bordrfor, r                                                                                 /* Column D */
